#include <iostream>
#include <vector>
#include <tuple>
#include <algorithm>

using namespace std;

#define LOG(arr) cerr << #arr << ": "; for (auto e : arr) {cerr << e << " ";} cerr << endl;

int n;

pair<int, int> second_edge_pos(int l, int r) {
    pair<int, int> res;
    if (l < n - r) {
        // return {0, n - r - l};
        return {n - r - l, n};
    } else {
        // return {l - (n - r), n};
        return {0, n - (l - (n - r))};
    }
}

pair<int, int> collision_pos(int l, int r) {
    return {(r + l) / 2, (r + l + 1) / 2};
}

int main() {
#ifndef MSLOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int l, r;
    cin >> n >> l >> r;

    if (l > r) {
        tie(l, r) = second_edge_pos(r, l);
    }

    int maxdist = r - l;

    for (int i = 0; i < n; i++) {
        // cerr << r - l << endl;
        // cerr << l << " " << r << endl;
        std::tie(l, r) = collision_pos(l, r);
        // cerr << l << " " << r << endl;
        std::tie(l, r) = second_edge_pos(l, r);
        // cerr << l << " " << r << endl;

        maxdist = max(maxdist, r - l);
    }

    cout << maxdist << endl;
}
